import { useEffect } from 'react';
import { on, off } from './util';
var useClickAway = function (ref, onClickAway) {
    useEffect(function () {
        var handler = function (event) {
            var el = ref.current;
            el && !el.contains(event.target) && onClickAway(event);
        };
        on(document, 'click', handler);
        return function () {
            off(document, 'click', handler);
        };
    });
};
export default useClickAway;
