import { useCallback } from 'react';
import useSetState from './useSetState';
import useRefMounted from './useRefMounted';
import * as writeText from 'copy-to-clipboard';
var useCopyToClipboard = function () {
    var mounted = useRefMounted();
    var _a = useSetState({
        value: undefined,
        error: undefined,
        noUserInteraction: true
    }), state = _a[0], setState = _a[1];
    var copyToClipboard = useCallback(function (value) {
        try {
            if (process.env.NODE_ENV === 'development') {
                if (typeof value !== "string") {
                    console.error("Cannot copy typeof " + typeof value + " to clipboard, must be a string");
                }
            }
            var noUserInteraction = writeText(value);
            if (!mounted.current)
                return;
            setState({
                value: value,
                error: undefined,
                noUserInteraction: noUserInteraction
            });
        }
        catch (error) {
            if (!mounted.current)
                return;
            setState({
                value: undefined,
                error: error,
                noUserInteraction: true
            });
        }
    }, []);
    return [state, copyToClipboard];
};
export default useCopyToClipboard;
